POST api/campaigntemplate/save
Request Information
URI Parameters
None.
Body Parameters
CampaignTemplateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| Width | integer |
None. |
|
| Items | Collection of CampaignTemplateItemDto |
None. |
|
| HasFooter | boolean |
None. |
|
| HasTestimonials | boolean |
None. |
|
| Price | CampaignPriceDto |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| IsDeleted | boolean |
None. |
|
| Campaigns | Collection of EntityDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "2932d101-b518-411b-ae5b-5d322453b1cb",
"name": "sample string 1",
"width": 2,
"items": [
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-09-08T06:18:32.7554793+02:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
},
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-09-08T06:18:32.7554793+02:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
}
],
"hasFooter": true,
"hasTestimonials": true,
"price": {
"amount": 1.0,
"currency": "sample string 2"
},
"products": [
"126cfd03-a711-48ce-91ad-d103659a0304",
"1eca223e-c2fb-465e-b38f-96e77fb29702"
],
"created": "2026-09-08T06:18:32.7554793+02:00",
"updated": "2026-09-08T06:18:32.7554793+02:00",
"isDeleted": true,
"campaigns": [
{
"id": "20e39bb5-1370-4d3e-8ede-f859b2069440",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "20e39bb5-1370-4d3e-8ede-f859b2069440",
"name": "sample string 2",
"type": "sample string 3"
}
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.